Bug 164944 - ifup script fails without giving any errors
ifup script fails without giving any errors
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-02 18:54 EDT by mahram
Modified: 2008-02-23 01:26 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-23 01:26:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mahram 2005-08-02 18:54:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
- 2 NICs present in the system
- Only one is brought up at boot
- ifup script fails to bring either interface up (both from GUI and console)
- No errors are given by ifup as to WHY it failed
- "Determining IP information for ethx... failed" is the only output seen
- eth0 : Linksys NC100 Network Everywhere Fast Ethernet 10/100
- eth1 : 3Com Corporation 3c940 10/100/1000Base-T [Marvell]

Version-Release number of selected component (if applicable):
system-config-network-1.3.26-1

How reproducible:
Always

Steps to Reproduce:
1. select an inactive NIC in the gui and click "Activate"
2. if all interfaces are active, deactivate one and reactivate
3. result is the same if ifup/ifdown scripts are used
  

Actual Results:  [root@Copolinux ~]# ifup eth0

Determining IP information for eth0... failed
[root@Copolinux ~]# ifup eth1

Determining IP information for eth1... failed

Expected Results:  the interface should be activated and given an IP
in case of failure an error message should be displayed to help determine the error source

Additional info:

I have tried removing both interfaces from the gui and then hwconf, but same problem occurs once they are automatically added to the system.
I can't determine WHERE/HOW/WHY the script fails, but below is some information that may be useful.

NICs (PCI):
Linksys NC100 Network Everywhere Fast Ethernet 10/100
3Com Corporation 3c940 10/100/1000Base-T [Marvell]

Kernel (uname -a):
Linux Copolinux 2.6.12-1.1398_FC4smp #1 SMP Fri Jul 15 01:30:13 EDT 2005 i686 i686 i386 GNU/Linux

CPU: P4 3.06 GHz
Ram: 1 GB PC3200

system-config-network-1.3.26-1
Comment 1 Harald Hoyer 2005-08-03 05:39:43 EDT
hmm... "Determining IP information for eth0... failed" normally means:
1) network cable problems
or
2) no DHCP server in your LAN
Comment 2 mahram 2005-08-03 17:46:45 EDT
Hi, I think the information below rules out both situations above. This is the 
exact same PC booted into windows right after ifup failing. The only thing is, 
the card is actually an SMC card and not a linksys (though the chipset may be 
linksys). I have tried to "release" and "renew" the IPs and both succeed with 
no problems (global IP address has been removed in this text, but i do get an 
actual IP from the shaw DHCP).

Windows IP Configuration


Ethernet adapter SMC:

        Connection-specific DNS Suffix  . :
        IP Address. . . . . . . . . . . . : 192.168.123.1
        Subnet Mask . . . . . . . . . . . : 255.255.255.0
        Default Gateway . . . . . . . . . : 192.168.123.254

Ethernet adapter 3com:

        Connection-specific DNS Suffix  . : vc.shawcable.net
        IP Address. . . . . . . . . . . . : xx.xx.xx.xxx
        Subnet Mask . . . . . . . . . . . : 255.255.252.0
        Default Gateway . . . . . . . . . : 24.85.56.1

eth0 (SMC/Linksys) is the one that is active on boot (both are supposed to be), 
but when I deactivate it, it can not be reactivated. Is there anything on Linux 
that I can do to provide some useful information?

Cheers,
Mahram
Comment 3 mahram 2005-08-06 04:49:45 EDT
Hi again,
I swapped the cables today and rebooted the system. again, eth0 was activated on
boot and eth1 was not.
maybe there is something about my network structure that's causing this.
I have a cable modem connected to Shaw's network(my ISP). 
The output from the cable modem is fed into an SMC 5 port switch. 
There are 2 cables leaving the switch: one goes to this PC, and the other to my
wireless router (4 port).
My laptop is connected to the same router via wireless, but I have tried to use
ethernet on it as well with FC4 and it works (so I know the DHCP part in the
router works as it should).
This PC worked under FC3 with no problems. The only thing different about the PC
is FC4 instead of FC3.
I did not upgrade the installation, I backed up my data and installed a clean FC4.
I have tried anything I could think of that might work, but since my linux
knowledge is rather limited, neither has yielded a solution.
Is there a way to re-install the networking scripts? I don't want to delete some
files and then find out I shouldnt have.
Comment 4 Harald Hoyer 2005-08-23 05:55:42 EDT
sry, no clue without debugging the whole thing...
Comment 5 Harald Hoyer 2005-08-23 05:56:23 EDT
could you attach your /etc/sysconfig/network-scripts/ifcfg-* ?
Comment 6 mahram 2005-08-23 17:03:58 EDT
Hi, Since eth0 was on a local netowrk, I decided to give it the static IP
192.168.123.1. I am not allowed to make the same change for eth1 (as per my ISP)
and am still experiencing the intermitten "ifup ... failed" problem mentioned
above. requested files are below (#comment lines have been removed).

-------- ifcfg-eth0 --------
IPV6INIT=no
ONBOOT=yes
USERCTL=no
PEERDNS=yes
TYPE=Ethernet
DEVICE=eth0
BOOTPROTO=none
DHCP_HOSTNAME=Copolinux
IPADDR=192.168.123.1
NETMASK=255.255.255.0
GATEWAY=192.168.123.254
-------- end of ifcfg-eth0 --------

-------- ifcfg-eth1 --------
IPV6INIT=no
ONBOOT=yes
USERCTL=no
PEERDNS=yes
TYPE=Ethernet
DEVICE=eth1
BOOTPROTO=dhcp
DHCP_HOSTNAME=copolinux
-------- end of ifcfg-eth1 --------

-------- ifcfg-lo --------
DEVICE=lo
IPADDR=127.0.0.1
NETMASK=255.0.0.0
NETWORK=127.0.0.0
BROADCAST=127.255.255.255
ONBOOT=yes
NAME=loopback
-------- end of ifcfg-lo --------
Comment 7 Harald Hoyer 2005-08-25 08:06:01 EDT
configuration looks fine.

any dhclient / dhcp messages in /var/log/messages?
Comment 8 mahram 2005-08-25 14:59:44 EDT
Since the last reboot (3 days ago) it has been fine and /var/log/messages
contains no errors, but I did check the backlogs messages.(n) The set of lines
below is the only set showing up when i do 'cat messages.1 | grep dhc'

Aug  8 01:42:52 Copolinux NetworkManager: dhcp_interface_init: MAC address =
00:50:bf:a3:29:e5
Aug  8 01:42:52 Copolinux dhclient: Can't bind to dhcp address: Address already
in use
Aug  8 01:42:52 Copolinux dhclient: Please make sure there is no other dhcp server
Aug  8 01:42:52 Copolinux dhclient: running and that there's no entry for dhcp or
Aug  8 01:42:52 Copolinux dhclient: bootp in /etc/inetd.conf.   Also make sure you
Aug  8 01:42:52 Copolinux dhclient: are not running HP JetAdmin software, which
Aug  8 01:42:52 Copolinux dhclient: includes a bootp server.
Aug  8 01:42:52 Copolinux dhclient: exiting.
Aug  8 01:42:52 Copolinux dhclient: Can't bind to dhcp address: Address already
in use
Aug  8 01:42:52 Copolinux dhclient: Please make sure there is no other dhcp server
Aug  8 01:42:52 Copolinux dhclient: running and that there's no entry for dhcp or
Aug  8 01:42:52 Copolinux dhclient: bootp in /etc/inetd.conf.   Also make sure you
Aug  8 01:42:52 Copolinux dhclient: are not running HP JetAdmin software, which
Aug  8 01:42:52 Copolinux dhclient: includes a bootp server.
Aug  8 01:42:52 Copolinux dhclient: exiting.


in messages.3, the following pattern appears before the above:

Aug  3 04:03:31 Copolinux NetworkManager: dhcp_interface_init: MAC address =
00:50:bf:a3:29:e5
Aug  3 14:50:39 Copolinux NetworkManager: dhcp_interface_init: MAC address =
00:50:bf:a3:29:e5
Aug  4 03:53:12 Copolinux NetworkManager: dhcp_interface_init: MAC address =
00:50:bf:a3:29:e5
Aug  4 08:12:06 Copolinux NetworkManager: dhcp_interface_init: MAC address =
00:50:bf:a3:29:e5
Aug  5 05:20:10 Copolinux NetworkManager: dhcp_interface_init: MAC address =
00:50:bf:a3:29:e5
Aug  6 01:31:50 Copolinux NetworkManager: dhcp_interface_init: MAC address =
00:50:bf:a3:29:e5
Aug  6 01:37:45 Copolinux NetworkManager: <WARNING>       ():
nm_device_dhcp_request(): device DHCP info exists, but it should have been
cleared already.
Aug  6 01:37:45 Copolinux NetworkManager: dhcp_interface_init: MAC address =
00:50:bf:a3:29:e5
Aug  6 01:37:45 Copolinux dhclient: Can't bind to dhcp address: Address already
in use
Aug  6 01:37:45 Copolinux dhclient: Please make sure there is no other dhcp server
Aug  6 01:37:45 Copolinux dhclient: running and that there's no entry for dhcp or
Aug  6 01:37:45 Copolinux dhclient: bootp in /etc/inetd.conf.   Also make sure you
Aug  6 01:37:45 Copolinux dhclient: are not running HP JetAdmin software, which
Aug  6 01:37:45 Copolinux dhclient: includes a bootp server.
Aug  6 01:37:45 Copolinux dhclient: exiting.


I have not been experienceing the above problems for the past 2 weeks (I turned
off SELinux and set eth0 to use a static IP). 
I suspected SELinux may have something to do with this because of the following
line:
Aug  6 21:56:07 Copolinux kernel: audit(1123390561.744:3): avc:  denied  { write
} for  pid=2324 comm="dhclient-script" name="resolv.conf" dev=hdb1 ino=25954012
scontext=system_u:system_r:dhcpc_t tcontext=root:object_r:etc_t tclass=file
Comment 10 petrosyan 2008-02-23 01:26:43 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.